 img = imread('cameraman.tif');
 img = double(img);
 img = img/255;
 
 sigma = 10; r = 3*sigma;
 G = zeros(2*r+1,2*r+1);
 for i = 1:2*r+1
     for j = 1:2*r+1
         G(i,j) = (1/(2*pi*sigma^2))*exp(-((i-r-1)^2+(j-r-1)^2));
     end
 end
 G = G/sum(G(:)); % normalization
 
 img2 = conv2(img,G,'same'); % 2D convlution
 subplot(1,2,1);
 imshow(img);
 subplot(1,2,2);
 imshow(img2);