img = imread('cameraman.tif');
img = double(img); % for square root
[nl,nc] = size(img);

img2 = zeros(nl,nc);
for i = 1:nl-1
    for j = 2:nc-1
        img2(i,j) = sqrt((img(i,j)-img(i+1,j+1))^2 + (img(i,j)-img(i+1,j-1))^2);
    end
end
img2 = img2/max(img2(:)); % normalization
imshow(img2);